"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isTouch = function () { return ((typeof window !== 'undefined' && 'ontouchstart' in window) ||
    !!(typeof navigator !== 'undefined' && (navigator.maxTouchPoints || navigator.msMaxTouchPoints))); };
exports.getClientPos = function (event) {
    if (event instanceof MouseEvent) {
        return { X: event.clientX, Y: event.clientY };
    }
    var touch = event.touches[0];
    return { X: touch.clientX, Y: touch.clientY };
};
exports.getTouchesRange = function (event) {
    var a = event.touches[0];
    var b = event.touches[1];
    return Math.hypot(b.clientX - a.clientX, b.clientY - a.clientY);
};
